package com.ruoyi.cxxm.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

/**
 * 任务对象 task
 *
 * @author ruoyi
 * @date 2024-03-28
 */
@Data
public class Task extends BaseEntity {
    private static final long serialVersionUID = 1L;


    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 图斑编号
     */
    @Excel(name = "图斑编号")
    private String tbbh;


    /**
     * 任务类型
     */
    @Excel(name = "任务类型")
    private String rwlx;


    /**
     * 图斑所在县
     */
    @Excel(name = "图斑所在县")
    private String tbszx;


    /**
     * 导入人员id
     */
    @Excel(name = "导入人员id")
    private Long drryId;


    /**
     * 导入时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "导入时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date drsj;


    /**
     * 下发情况
     */
    @Excel(name = "下发情况")
    private String xfqk;


    /**
     * 下发时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "下发时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date xfsj;


    /**
     * 巡查周期选项 1每周 2每月 3自定义
     */
    @Excel(name = "巡查周期选项 1每周 2每月 3自定义")
    private String xczqxx;


    /**
     * 巡查周期 单位(天)
     */
    @Excel(name = "巡查周期 单位(天)")
    private Long xczq;


    /**
     * 需巡查次数
     */
    @Excel(name = "需巡查次数")
    private Long xxccs;


    /**
     * 已巡查次数
     */
    @Excel(name = "已巡查次数")
    private Long yxccs;


    /**
     * 州级巡查次数
     */
    @Excel(name = "州级巡查次数")
    private Long zjxccs;


    /**
     * 县级巡查次数
     */
    @Excel(name = "县级巡查次数")
    private Long xjxccs;

    /**
     * 最后巡查记录id
     */
    @Excel(name = "最后巡查记录id")
    private Long tcId;


    /**
     * 最后巡查时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "最后巡查时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date xcsj;


    /**
     * 最后巡查人员id
     */
    @Excel(name = "最后巡查人员id")
    private Long xcryId;


    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date kssj;


    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date jssj;


    /**
     * 是否归档
     */
    @Excel(name = "是否归档")
    private String sfgd;
}

