package com.ruoyi.cxxm.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

/**
 * 图斑信息对象 tbxx
 *
 * @author ruoyi
 * @date 2024-03-28
 */
@Data
public class Tbxx extends BaseEntity {
    private static final long serialVersionUID = 1L;


    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 图斑编号
     */
    @Excel(name = "图斑编号")
    private String tbbh;


    /**
     * 矿山名称
     */
    @Excel(name = "矿山名称")
    private String ksmc;


    /**
     * 许可证编号
     */
    @Excel(name = "许可证编号")
    private String xkzbh;


    /**
     * 矿权级别
     */
    @Excel(name = "矿权级别")
    private String kqjb;


    /**
     * 省
     */
    @Excel(name = "省")
    private String sheng;


    /**
     * 市
     */
    @Excel(name = "市")
    private String shi;


    /**
     * 县
     */
    @Excel(name = "县")
    private String xian;


    /**
     * 县代码
     */
    @Excel(name = "县代码")
    private String xdm;


    /**
     * 详细地址
     */
    @Excel(name = "详细地址")
    private String xxdz;


    /**
     * 经济类型
     */
    @Excel(name = "经济类型")
    private String jjlx;


    /**
     * 矿种类型
     */
    @Excel(name = "矿种类型")
    private String kzlx;


    /**
     * 开采其他矿种
     */
    @Excel(name = "开采其他矿种")
    private String kcqtkz;


    /**
     * 开采方式
     */
    @Excel(name = "开采方式")
    private String kcfs;


    /**
     * 开采状态
     */
    @Excel(name = "开采状态")
    private String kczt;


    /**
     * 占地面积
     */
    @Excel(name = "占地面积")
    private String zdmj;


    /**
     * 违法面积
     */
    @Excel(name = "违法面积")
    private String wfmj;


    /**
     * 中心点经度
     */
    @Excel(name = "中心点经度")
    private String x;


    /**
     * 纬度
     */
    @Excel(name = "纬度")
    private String y;


    /**
     * 存在问题
     */
    @Excel(name = "存在问题")
    private String czwt;


    /**
     * 对应的上期图斑编号
     */
    @Excel(name = "对应的上期图斑编号")
    private String sqtbbh;


    /**
     * 对应的部下发图斑编号
     */
    @Excel(name = "对应的部下发图斑编号")
    private String bxftbbh;


    /**
     * 本期数据获取时间
     */
    @Excel(name = "本期数据获取时间")
    private String bqsjsj;


    /**
     * 上期数据获取时间
     */
    @Excel(name = "上期数据获取时间")
    private String sqsjsj;


    /**
     * 绿色矿山
     */
    @Excel(name = "绿色矿山")
    private String lsks;


    /**
     * 所在重点矿区名称
     */
    @Excel(name = "所在重点矿区名称")
    private String zdkqmc;


    /**
     * 所在自然保护区名称
     */
    @Excel(name = "所在自然保护区名称")
    private String zrbhqmc;


    /**
     * 所在高原湖泊名称
     */
    @Excel(name = "所在高原湖泊名称")
    private String gyhpmc;


    /**
     * 所在高原湖泊10km范围内
     */
    @Excel(name = "所在高原湖泊10km范围内")
    private String gyhp10;


    /**
     * 所在高原湖泊3km范围内
     */
    @Excel(name = "所在高原湖泊3km范围内")
    private String gyhp03;


    /**
     * 所在长江干支流10km范围内
     */
    @Excel(name = "所在长江干支流10km范围内")
    private String cjgzl10;


    /**
     * 所在长江干支流范围名称
     */
    @Excel(name = "所在长江干支流范围名称")
    private String cjgzmc;


    /**
     * 所在长江干支流3km范围内
     */
    @Excel(name = "所在长江干支流3km范围内")
    private String cjgz03;


    /**
     * 所在风景名胜区名称
     */
    @Excel(name = "所在风景名胜区名称")
    private String fjmsmc;


    /**
     * 所在国家公园名称
     */
    @Excel(name = "所在国家公园名称")
    private String gjgymc;


    /**
     * 所在饮水源源地保护区名称
     */
    @Excel(name = "所在饮水源源地保护区名称")
    private String ysydmc;


    /**
     * 备注
     */
    @Excel(name = "备注")
    private String bz;


    /**
     * 线索来源:填对应的来源“巡查发现、群众举报、打非治违、卫片执法、铁塔线索、上级交办、其他部门移交（送）”
     */
    @Excel(name = "线索来源:填对应的来源“巡查发现、群众举报、打非治违、卫片执法、铁塔线索、上级交办、其他部门移交", readConverterExp = "送=")
    private String xsly;


    /**
     * 图斑空间信息
     */
    @Excel(name = "图斑空间信息")
    private String gis;
}

