package com.ruoyi.cxxm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.github.yulichang.base.MPJBaseMapper;
import com.ruoyi.cxxm.domain.Tbxx;

import java.util.List;

/**
 * 图斑信息Mapper接口
 *
 * @author ruoyi
 * @date 2024-03-28
 */
public interface TbxxMapper extends MPJBaseMapper<Tbxx> {

    /**
     * 查询图斑信息
     *
     * @param id 图斑信息主键
     * @return 图斑信息
     */
    public Tbxx selectTbxxById(Long id);

    /**
     * 查询图斑信息列表
     *
     * @param tbxx 图斑信息
     * @return 图斑信息集合
     */
    public List<Tbxx> selectTbxxList(Tbxx tbxx);

    /**
     * 新增图斑信息
     *
     * @param tbxx 图斑信息
     * @return 结果
     */
    public int insertTbxx(Tbxx tbxx);

    /**
     * 修改图斑信息
     *
     * @param tbxx 图斑信息
     * @return 结果
     */
    public int updateTbxx(Tbxx tbxx);

    /**
     * 删除图斑信息
     *
     * @param id 图斑信息主键
     * @return 结果
     */
    public int deleteTbxxById(Long id);

    /**
     * 批量删除图斑信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbxxByIds(Long[] ids);

    /**
     * 根据图斑编号查询图斑信息
     * @param tbbh
     * @return
     */
    public Tbxx selectTbxxByTbbh(String tbbh);

}

