package com.ruoyi.cxxm.service;

import java.io.IOException;
import java.util.List;
import com.ruoyi.cxxm.domain.TaskCheck;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.cxxm.domain.dto.TaskCheckSubmit;
import org.springframework.web.multipart.MultipartFile;

/**
 * 任务巡查记录Service接口
 *
 * @author ruoyi
 * @date 2024-03-28
 */
public interface ITaskCheckService extends IService<TaskCheck>
{
    /**
     * 保存任务提交记录和文件
     * @param taskCheckSubmit
     * @param files
     * @return
     * @throws IOException
     */
    public boolean saveTaskCheckSubmitAndFiles(TaskCheckSubmit taskCheckSubmit, List<MultipartFile> files) throws IOException;

    /**
     * 上报填报记录
     * @param tcId
     * @return
     */
    public boolean reportTaskCheckInfo(Long tcId);

    /**
     * 取消上报填报记录
     * @param tcId
     * @return
     */
    public boolean cancelReportTaskCheckInfo(Long tcId);
}

