package com.ruoyi.cxxm.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.cxxm.domain.TaskCheck;
import com.ruoyi.cxxm.domain.enums.SFWC;
import com.ruoyi.cxxm.domain.enums.SHJG;
import com.ruoyi.cxxm.mapper.TaskCheckAuditMapper;
import com.ruoyi.cxxm.domain.TaskCheckAudit;
import com.ruoyi.cxxm.mapper.TaskCheckMapper;
import com.ruoyi.cxxm.service.ITaskCheckAuditService;
import com.ruoyi.cxxm.service.ITaskCheckService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Objects;


/**
 * 任务巡查审核Service业务层处理
 *
 * @author ruoyi
 * @date 2024-03-28
 */
@Service
public class TaskCheckAuditServiceImpl extends ServiceImpl<TaskCheckAuditMapper, TaskCheckAudit> implements ITaskCheckAuditService{

    @Autowired
    private ITaskCheckService taskCheckService;

    /**
     * 提交和修改审核结果
     * @param taskCheckAudit
     * @return
     */
    @Override
    @Transactional
    public boolean saveOrUpdateTaskCheckAudit(TaskCheckAudit taskCheckAudit) {
        Long tcId = taskCheckAudit.getTcId();
        LambdaQueryWrapper<TaskCheck> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TaskCheck::getId,tcId);
        queryWrapper.last("limit 1");
        TaskCheck taskCheck = taskCheckService.getOne(queryWrapper);
        // 审核通过,巡查已完成
        if (Objects.equals(taskCheckAudit.getShjg(), SHJG.TRUE.getValue())){
            taskCheck.setSfwc(SFWC.YWC.getValue());
            taskCheckService.saveOrUpdate(taskCheck);
        }
        // 审核不通过,巡查未完成
        if (Objects.equals(taskCheckAudit.getShjg(), SHJG.FALSE.getValue())){
            taskCheck.setSfwc(SFWC.WWC.getValue());
            taskCheckService.saveOrUpdate(taskCheck);
        }
        this.saveOrUpdate(taskCheckAudit);
        return true;
    }
}

