package com.ruoyi.cxxm.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.cxxm.mapper.TbxxMapper;
import com.ruoyi.cxxm.domain.Tbxx;
import com.ruoyi.cxxm.service.ITbxxService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 图斑信息Service业务层处理
 *
 * @author ruoyi
 * @date 2024-03-28
 */
@Service
public class TbxxServiceImpl extends ServiceImpl<TbxxMapper, Tbxx> implements ITbxxService {

    @Autowired
    private TbxxMapper tbxxMapper;

    /**
     * 查询图斑信息
     *
     * @param id 图斑信息主键
     * @return 图斑信息
     */
    @Override
    public Tbxx selectTbxxById(Long id) {
        return tbxxMapper.selectTbxxById(id);
    }

    /**
     * 查询图斑信息列表
     *
     * @param tbxx 图斑信息
     * @return 图斑信息
     */
    @Override
    public List<Tbxx> selectTbxxList(Tbxx tbxx) {
        return tbxxMapper.selectTbxxList(tbxx);
    }

    /**
     * 新增图斑信息
     *
     * @param tbxx 图斑信息
     * @return 结果
     */
    @Override
    public int insertTbxx(Tbxx tbxx) {
        tbxx.setCreateTime(DateUtils.getNowDate());
        return tbxxMapper.insertTbxx(tbxx);
    }

    /**
     * 修改图斑信息
     *
     * @param tbxx 图斑信息
     * @return 结果
     */
    @Override
    public int updateTbxx(Tbxx tbxx) {
        tbxx.setUpdateTime(DateUtils.getNowDate());
        return tbxxMapper.updateTbxx(tbxx);
    }

    /**
     * 批量删除图斑信息
     *
     * @param ids 需要删除的图斑信息主键
     * @return 结果
     */
    @Override
    public int deleteTbxxByIds(Long[] ids) {
        return tbxxMapper.deleteTbxxByIds(ids);
    }

    /**
     * 删除图斑信息信息
     *
     * @param id 图斑信息主键
     * @return 结果
     */
    @Override
    public int deleteTbxxById(Long id) {
        return tbxxMapper.deleteTbxxById(id);
    }

    /**
     * 根据图斑编号查询图斑信息
     *
     * @param tbbh
     * @return
     */
    public Tbxx selectTbxxByTbbh(String tbbh) {
        return tbxxMapper.selectTbxxByTbbh(tbbh);
    }
}

