package com.ruoyi.web.controller.cxxm;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.common.utils.poi.ExcelUtil;

import com.ruoyi.system.domain.CxxmUser;
import com.ruoyi.system.domain.CxxmUserXJ;
import com.ruoyi.system.service.ISysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

import static com.ruoyi.common.core.domain.AjaxResult.success;
import static com.ruoyi.common.utils.SecurityUtils.getUsername;

@RestController
@RequestMapping("/cxxm/user")
public class CxxmUserController {

    @Autowired
    private ISysUserService userService;

    @Log(title = "用户管理", businessType = BusinessType.IMPORT)
    @PreAuthorize("@ss.hasPermi('system:user:import')")
    @PostMapping("/importData")
    public AjaxResult importData(MultipartFile file, boolean updateSupport) throws Exception {
        ExcelUtil<CxxmUser> util = new ExcelUtil<CxxmUser>(CxxmUser.class);
        List<CxxmUser> userList = util.importExcel(file.getInputStream());
        String operName = getUsername();
        String message = userService.importCxxmUser(userList, updateSupport, operName);
        return success(message);
    }

    @PostMapping("/importTemplate")
    public void importTemplate(HttpServletResponse response) {
        ExcelUtil<CxxmUser> util = new ExcelUtil<CxxmUser>(CxxmUser.class);
        util.importTemplateExcel(response, "用户数据");
    }

    @PostMapping("/importTemplateXJ")
    public void importTemplateXJ(HttpServletResponse response) {
        ExcelUtil<CxxmUserXJ> util = new ExcelUtil<CxxmUserXJ>(CxxmUserXJ.class);
        util.importTemplateExcel(response, "用户数据");
    }
}
