import request from '@/utils/request'

// 查询任务列表
export function listTask(query) {
  return request({
    url: '/cxxm/task/list',
    method: 'get',
    params: query
  })
}

// 查询任务详细
export function getTask(id) {
  return request({
    url: '/cxxm/task/' + id,
    method: 'get'
  })
}

// 新增任务
export function addTask(data) {
  return request({
    url: '/cxxm/task',
    method: 'post',
    data: data
  })
}

// 修改任务
export function updateTask(data) {
  return request({
    url: '/cxxm/task',
    method: 'put',
    data: data
  })
}

// 删除任务
export function delTask(id) {
  return request({
    url: '/cxxm/task/' + id,
    method: 'delete'
  })
}

// 下发任务
export function distributeTask(ids) {
  return request({
    url: '/cxxm/task/distribute/' + ids,
    method: 'put'
  })
}

// 已下发任务列表
export function listDistributedTask(query) {
  return request({
    url: '/cxxm/task/distributed/list',
    method: 'get',
    params: query
  })
}


export function getStatistics() {
  return request({
    url: '/cxxm/task/statistics',
    method: 'get',
  })
}
