drop table if exists tbxx;
create table tbxx
(
    id          int(11) not null auto_increment comment 'id',
    tbbh        varchar(255) default null comment '图斑编号',
    ksmc        varchar(255) DEFAULT NULL COMMENT '矿山名称',
    xkzbh       varchar(255) DEFAULT NULL COMMENT '许可证编号',
    kqjb        varchar(255) DEFAULT NULL COMMENT '矿权级别',
    sheng       varchar(255) DEFAULT NULL COMMENT '省',
    shi         varchar(255) DEFAULT NULL COMMENT '市',
    xian        varchar(255) DEFAULT NULL COMMENT '县',
    xdm         varchar(255) DEFAULT NULL COMMENT '县代码',
    xxdz        varchar(255) DEFAULT NULL COMMENT '详细地址',
    jjlx        varchar(255) DEFAULT NULL COMMENT '经济类型',
    kzlx        varchar(255) DEFAULT NULL COMMENT '矿种类型',
    kcqtkz      varchar(255) DEFAULT NULL COMMENT '开采其他矿种',
    kcfs        varchar(255) DEFAULT NULL COMMENT '开采方式',
    kczt        varchar(255) DEFAULT NULL COMMENT '开采状态',
    zdmj        varchar(255) DEFAULT NULL COMMENT '占地面积',
    wfmj        varchar(255) DEFAULT NULL COMMENT '违法面积',
    x           varchar(255) DEFAULT NULL COMMENT '中心点经度',
    y           varchar(255) DEFAULT NULL COMMENT '纬度',
    czwt        varchar(255) DEFAULT null COMMENT '存在问题',
    sqtbbh      varchar(255) DEFAULT NULL COMMENT '对应的上期图斑编号',
    bxftbbh     varchar(255) DEFAULT NULL COMMENT '对应的部下发图斑编号',
    bqsjsj      varchar(255) DEFAULT NULL COMMENT '本期数据获取时间',
    sqsjsj      varchar(255) DEFAULT NULL COMMENT '上期数据获取时间',
    lsks        varchar(255) DEFAULT NULL COMMENT '绿色矿山',
    zdkqmc      varchar(255) DEFAULT NULL COMMENT '所在重点矿区名称',
    zrbhqmc     varchar(255) DEFAULT NULL COMMENT '所在自然保护区名称',
    gyhpmc      varchar(255) DEFAULT NULL COMMENT '所在高原湖泊名称',
    gyhp10      varchar(255) DEFAULT NULL COMMENT '所在高原湖泊10km范围内',
    gyhp03      varchar(255) DEFAULT NULL COMMENT '所在高原湖泊3km范围内',
    cjgzl10     varchar(255) DEFAULT NULL COMMENT '所在长江干支流10km范围内',
    cjgzmc      varchar(255) DEFAULT NULL COMMENT '所在长江干支流范围名称',
    cjgz03      varchar(255) DEFAULT NULL COMMENT '所在长江干支流3km范围内',
    fjmsmc      varchar(255) DEFAULT NULL COMMENT '所在风景名胜区名称',
    gjgymc      varchar(255) DEFAULT NULL COMMENT '所在国家公园名称',
    ysydmc      varchar(255) DEFAULT NULL COMMENT '所在饮水源源地保护区名称',
    bz          varchar(255) DEFAULT NULL COMMENT '备注',
    xsly        varchar(255) DEFAULT NULL COMMENT '线索来源:填对应的来源“巡查发现、群众举报、打非治违、卫片执法、铁塔线索、上级交办、其他部门移交（送）”',
    gis         GEOMETRY     DEFAULT NULL COMMENT '图斑空间信息',
--  公共字段
    create_by   varchar(64)  default null comment '创建者',
    create_time datetime     default null comment '创建时间',
    update_by   varchar(64)  default null comment '更新者',
    update_time datetime     default null comment '更新时间',
    remark      varchar(500) default null comment '备注',
    dept_id     int(11)      default null comment '部门id',
    primary key (id)
) engine = innodb
  auto_increment = 1 comment = '图斑信息表';

drop table if exists task;
create table task
(
    id          int(11) not null auto_increment comment 'id',
    tbbh        varchar(255) default null comment '图斑编号',
    rwlx        varchar(255) default '1' comment '任务类型 1矿产 2土地',
    tbszx       varchar(255) default null comment '图斑所在县',
    drry_id     int(11)      default null comment '导入人员id',
    drsj        datetime     default null comment '导入时间',
    xfqk        varchar(255) default '0' comment '下发情况',
    xfsj        datetime     default null comment '下发时间',
    xczqxx      varchar(255) default '0' comment '巡查周期选项',
    xczq        int(11)      default '0' comment '巡查周期 单位(天)',
    xxccs       int(11)      default 1 comment '需巡查次数',
    yxccs       int(11)      default 0 comment '已巡查次数',
    zjxccs      int(11)      default 0 comment '州级巡查次数',
    xjxccs      int(11)      default 0 comment '县级巡查次数',
    kssj        datetime     default null comment '开始时间',
    jssj        datetime     default null comment '结束时间',
    tc_id       int(11)      default null comment '最后巡查记录id',
    xcsj        datetime     default null comment '最后巡查时间',
    xcry_id     int(11)      default null comment '最后巡查人员id',
    sfgd        varchar(255) default '0' comment '是否归档',
--  公共字段
    create_by   varchar(64)  default null comment '创建者',
    create_time datetime     default null comment '创建时间',
    update_by   varchar(64)  default null comment '更新者',
    update_time datetime     default null comment '更新时间',
    remark      varchar(500) default null comment '备注',
    dept_id     int(11)      default null comment '部门id',
    primary key (id)
) engine = innodb
  auto_increment = 1 comment = '任务表';

drop table if exists task_check;
create table task_check
(
    id          int(11) not null auto_increment comment 'id',
    task_id     int(11)      default null comment '任务id',
    sfsb        varchar(255) default '0' comment '是否上报',
    sbsj        datetime     default null comment '上报时间',
    sfwc        varchar(255) default '0' comment '是否完成',
    zgqk        varchar(255) default '0' comment '整改情况',
    xcjb        varchar(255) default '1' comment '巡查级别',
    xcry_id     int(11)      default null comment '巡查人员id',
    xcsj        datetime     default null comment '巡查时间',
    --  公共字段
    create_by   varchar(64)  default null comment '创建者',
    create_time datetime     default null comment '创建时间',
    update_by   varchar(64)  default null comment '更新者',
    update_time datetime     default null comment '更新时间',
    remark      varchar(500) default null comment '备注',
    dept_id     int(11)      default null comment '部门id',
    primary key (id)
) engine = innodb
  auto_increment = 1 comment = '任务巡查记录表';

drop table if exists task_check_image;
create table task_check_image
(
    id          int(11) not null auto_increment comment 'id',
    tc_id       int(11)      default null comment '任务巡查记录id',
    jd          varchar(255) default null comment '经度',
    wd          varchar(255) default null comment '纬度',
    psfx        varchar(255) default null comment '拍摄方向',
    cclj        varchar(255) default null comment '存储路径',
    tjry_id     int(11)      default null comment '提交人员id',
    scsj        varchar(255) default null comment '上传时间',
    --  公共字段
    create_by   varchar(64)  default null comment '创建者',
    create_time datetime     default null comment '创建时间',
    update_by   varchar(64)  default null comment '更新者',
    update_time datetime     default null comment '更新时间',
    remark      varchar(500) default null comment '备注',
    dept_id     int(11)      default null comment '部门id',
    primary key (id)
) engine = innodb
  auto_increment = 1 comment = '任务巡查图片表';

drop table if exists task_check_video;
create table task_check_video
(
    id          int(11) not null auto_increment comment 'id',
    tc_id       int(11)      default null comment '任务巡查记录id',
    cclj        varchar(255) default null comment '存储路径',
    tjry_id     int(11)      default null comment '提交人员id',
    scsj        varchar(255) default null comment '上传时间',
    --  公共字段
    create_by   varchar(64)  default null comment '创建者',
    create_time datetime     default null comment '创建时间',
    update_by   varchar(64)  default null comment '更新者',
    update_time datetime     default null comment '更新时间',
    remark      varchar(500) default null comment '备注',
    dept_id     int(11)      default null comment '部门id',
    primary key (id)
) engine = innodb
  auto_increment = 1 comment = '任务巡查视频表';

drop table if exists task_check_audit;
create table task_check_audit
(
    id          int(11) not null auto_increment comment 'id',
    tc_id       int(11)      default null comment '任务巡查记录id',
    shjg        varchar(255) default '0' comment '审核结果',
    shsm        text         default null comment '审核说明',
    shsj        datetime     default null comment '审核时间',
    shry_id     int(11)      default null comment '审核人员id',
--  公共字段
    create_by   varchar(64)  default null comment '创建者',
    create_time datetime     default null comment '创建时间',
    update_by   varchar(64)  default null comment '更新者',
    update_time datetime     default null comment '更新时间',
    remark      varchar(500) default null comment '备注',
    dept_id     int(11)      default null comment '部门id',
    primary key (id)
) engine = innodb
  auto_increment = 1 comment = '任务巡查审核表';